Bug 835205 - Scaled application failed to scale down while upgrade was running
Scaled application failed to scale down while upgrade was running
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On: 835157
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 15:15 EDT by Clayton Coleman
Modified: 2015-05-14 18:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: cartridge-haproxy-1.4-0.12.1+
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 19:43:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of haproxy failure (16.13 KB, application/octet-stream)
2012-06-25 15:15 EDT, Clayton Coleman
no flags Details

  None (edit)
Description Clayton Coleman 2012-06-25 15:15:41 EDT
Created attachment 594260 [details]
Output of haproxy failure

Monday Jun 25th at around 12:47 I began testing a scaling Drupal app on production.  I ran load that scaled the app up to 5 gears.  The app reached 5 gears, and then scaled down once.  However, after that no scale down occurred.  Mike logged into the system and saw that there were errors in haproxy_ctld.output.

HA gear is available on production at ssh a8e68cbfa99c4046abb119b5af326e3c@drupalexample-claytondev.rhcloud.com

Attached haproxy_ctld.output.  Outcome was that app could not scale down automatically.
Comment 1 Rob Millner 2012-06-29 21:08:38 EDT
Crankcase pull request #169.
Comment 2 Rob Millner 2012-07-02 14:14:53 EDT
Pull request accepted.
Comment 3 Jianwei Hou 2012-07-04 01:54:46 EDT
verified from devenv_221 upgrade

1.create scalable app
2.scale up app to 5 gears
3.perform devenv upgrade

check app haproxy-status,app can scale down automatically.

Note You need to log in before you can comment on or make changes to this bug.